2018-12-18 22:58 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000107Branch 0.2.1-FINALFeature Requestpublic2010-06-08 01:37
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000107: Umstellung von SQL_FETCHROW() auf SQL_FETCHARRAY()
DescriptionAn vielen Stellen findet man folgendes Konstrukt:

while (list($var1, $var2) = SQL_FETCHROW($result))

Dies sollte mit samt dem while-Block nach SQL_FETCHARRAY wie folgt umgebaut werden:

while ($content = SQL_FETCHARRAY($result))

Der resultierende Code ist dadurch leichter debugbarer, und das Array $content kann sehr leicht an LOAD_TEMPLATE() bzw. LOAD_EMAIL_TEMPLATE() uebergeben werden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000145assignedQuix0r Array-Elementnamen und Datennbankspaltennamen sollen gleich werden 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0000293

Quix0r (administrator)

Ich geb dem doch eine hoehere Priritaet, da dies die vielen Variablen rausoptimiert und der Code abermals uebersichtlicher wird.

~0000300

Quix0r (administrator)

Mit Commit 840 sind noch einige wenige uebrig. Die muessten noch irgentwie umgeschrieben werden. Ich habe sie aber mit einem @TODO-Tag versehen, so dass sie leicht gefunden werden koennen.

~0000395

Quix0r (administrator)

Waren doch mehr als nur "noch einige wenige" und sind immer noch welche vorhanden. Bitte auch gleich die Array-Elementnamen in den Templates an die Datenbankspaltennamen anpassen, damit alles einheitlicher wird.
+Notes

-Issue History
Date Modified Username Field Change
2009-03-04 22:05 Quix0r New Issue
2009-03-04 22:20 Quix0r Status new => assigned
2009-03-04 22:20 Quix0r Assigned To => Quix0r
2009-03-05 01:26 Quix0r Note Added: 0000293
2009-03-05 01:26 Quix0r Priority low => high
2009-03-06 17:08 Quix0r Note Added: 0000300
2009-11-18 05:05 Quix0r Note Added: 0000395
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:50 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:37 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-06-28 02:52 Quix0r Relationship added parent of 0000145
+Issue History